InfoGrab DocsInfoGrab Docs

이슈 보드 API

요약

이 API로 이슈 보드를 관리합니다. 사용자가 비공개 프로젝트의 멤버가 아니면 해당 프로젝트에 대한 GET 요청은 404 상태 코드를 반환합니다. 지정한 프로젝트의 모든 이슈 보드를 조회합니다. 프로젝트에 활성화된 보드가 없거나 보드가 존재하지 않을 때의 또 다른 응답 예시:

이 API로 이슈 보드를 관리합니다. 이 API의 모든 호출에는 인증이 필요합니다.

사용자가 비공개 프로젝트의 멤버가 아니면 해당 프로젝트에 대한 GET 요청은 404 상태 코드를 반환합니다.

프로젝트 이슈 보드 전체 조회#

지정한 프로젝트의 모든 이슈 보드를 조회합니다.

GET /projects/:id/boards
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards"

응답 예시:

[
  {
    "id" : 1,
    "name": "board1",
    "hide_backlog_list": false,
    "hide_closed_list": false,
    "project": {
      "id": 5,
      "name": "Diaspora Project Site",
      "name_with_namespace": "Diaspora / Diaspora Project Site",
      "path": "diaspora-project-site",
      "path_with_namespace": "diaspora/diaspora-project-site",
      "http_url_to_repo": "http://example.com/diaspora/diaspora-project-site.git",
      "web_url": "http://example.com/diaspora/diaspora-project-site"
    },
    "milestone":   {
      "id": 12,
      "title": "10.0"
    },
    "lists" : [
      {
        "id" : 1,
        "label" : {
          "name" : "Testing",
          "color" : "#F0AD4E",
          "description" : null
        },
        "position" : 1,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric": null
      },
      {
        "id" : 2,
        "label" : {
          "name" : "Ready",
          "color" : "#FF0000",
          "description" : null
        },
        "position" : 2,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric":  null
      },
      {
        "id" : 3,
        "label" : {
          "name" : "Production",
          "color" : "#FF5F00",
          "description" : null
        },
        "position" : 3,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric":  null
      }
    ]
  }
]

프로젝트에 활성화된 보드가 없거나 보드가 존재하지 않을 때의 또 다른 응답 예시:

[]

이슈 보드 조회#

프로젝트에서 지정한 이슈 보드를 조회합니다.

GET /projects/:id/boards/:board_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1"

응답 예시:

  {
    "id": 1,
    "name": "project issue board",
    "hide_backlog_list": false,
    "hide_closed_list": false,
    "project": {
      "id": 5,
      "name": "Diaspora Project Site",
      "name_with_namespace": "Diaspora / Diaspora Project Site",
      "path": "diaspora-project-site",
      "path_with_namespace": "diaspora/diaspora-project-site",
      "http_url_to_repo": "http://example.com/diaspora/diaspora-project-site.git",
      "web_url": "http://example.com/diaspora/diaspora-project-site"
    },
    "milestone":   {
      "id": 12,
      "title": "10.0"
    },
    "lists" : [
      {
        "id" : 1,
        "label" : {
          "name" : "Testing",
          "color" : "#F0AD4E",
          "description" : null
        },
        "position" : 1,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric":  null
      },
      {
        "id" : 2,
        "label" : {
          "name" : "Ready",
          "color" : "#FF0000",
          "description" : null
        },
        "position" : 2,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric":  null
      },
      {
        "id" : 3,
        "label" : {
          "name" : "Production",
          "color" : "#FF5F00",
          "description" : null
        },
        "position" : 3,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric":  null
      }
    ]
  }

이슈 보드 생성#

지정한 프로젝트에 이슈 보드를 생성합니다.

POST /projects/:id/boards
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
name string 예 새 보드의 이름입니다. 최대 255자입니다.
curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards" \
  --data "name=newboard"

응답 예시:

  {
    "id": 1,
    "name": "newboard",
    "hide_backlog_list": false,
    "hide_closed_list": false,
    "project": {
      "id": 5,
      "name": "Diaspora Project Site",
      "name_with_namespace": "Diaspora / Diaspora Project Site",
      "path": "diaspora-project-site",
      "path_with_namespace": "diaspora/diaspora-project-site",
      "http_url_to_repo": "http://example.com/diaspora/diaspora-project-site.git",
      "web_url": "http://example.com/diaspora/diaspora-project-site"
    },
    "lists" : [],
    "group": null,
    "milestone": null,
    "assignee" : null,
    "labels" : [],
    "weight" : null
  }

이슈 보드 수정#

프로젝트에서 지정한 이슈 보드를 수정합니다.

PUT /projects/:id/boards/:board_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
name string 아니요 보드의 새 이름입니다. 최대 255자입니다.
hide_backlog_list boolean 아니요 Open 리스트를 숨깁니다.
hide_closed_list boolean 아니요 Closed 리스트를 숨깁니다.
assignee_id integer 아니요 보드의 범위로 지정할 담당자입니다. Premium 및 Ultimate 전용입니다.
milestone_id integer 아니요 보드의 범위로 지정할 마일스톤입니다. Premium 및 Ultimate 전용입니다.
labels string 아니요 보드의 범위로 지정할 레이블 이름을 쉼표로 구분한 목록입니다. Premium 및 Ultimate 전용입니다.
weight integer 아니요 보드의 범위로 지정할 0에서 9 까지의 가중치 범위입니다. Premium 및 Ultimate 전용입니다.
curl --request PUT \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1" \
  --data "name=new_name&milestone_id=43&assignee_id=1&labels=Doing&weight=4"

응답 예시:

  {
    "id": 1,
    "name": "new_name",
    "hide_backlog_list": false,
    "hide_closed_list": false,
    "project": {
      "id": 5,
      "name": "Diaspora Project Site",
      "name_with_namespace": "Diaspora / Diaspora Project Site",
      "path": "diaspora-project-site",
      "path_with_namespace": "diaspora/diaspora-project-site",
      "created_at": "2018-07-03T05:48:49.982Z",
      "default_branch": null,
      "tag_list": [], //deprecated, use `topics` instead
      "topics": [],
      "ssh_url_to_repo": "ssh://user@example.com/diaspora/diaspora-project-site.git",
      "http_url_to_repo": "http://example.com/diaspora/diaspora-project-site.git",
      "web_url": "http://example.com/diaspora/diaspora-project-site",
      "readme_url": null,
      "avatar_url": null,
      "star_count": 0,
      "forks_count": 0,
      "last_activity_at": "2018-07-03T05:48:49.982Z"
    },
    "lists": [],
    "group": null,
    "milestone": {
      "id": 43,
      "iid": 1,
      "project_id": 15,
      "title": "Milestone 1",
      "description": "Milestone 1 desc",
      "state": "active",
      "created_at": "2018-07-03T06:36:42.618Z",
      "updated_at": "2018-07-03T06:36:42.618Z",
      "due_date": null,
      "start_date": null,
      "web_url": "http://example.com/root/board1/milestones/1"
    },
    "assignee": {
      "id": 1,
      "name": "Administrator",
      "username": "root",
      "state": "active",
      "avatar_url": "https://www.gravatar.com/avatar/e64c7d89f26bd1972efa854d13d7dd61?s=80&d=identicon",
      "web_url": "http://example.com/root"
    },
    "labels": [{
      "id": 10,
      "name": "Doing",
      "color": "#5CB85C",
      "description": null
    }],
    "weight": 4
  }

이슈 보드 삭제#

프로젝트에서 지정한 이슈 보드를 삭제합니다.

DELETE /projects/:id/boards/:board_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
curl --request DELETE \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1"

이슈 보드의 보드 리스트 전체 조회#

지정한 이슈 보드의 모든 리스트를 조회합니다. open 리스트와 closed 리스트는 포함하지 않습니다.

GET /projects/:id/boards/:board_id/lists
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1/lists"

응답 예시:

[
  {
    "id" : 1,
    "label" : {
      "name" : "Testing",
      "color" : "#F0AD4E",
      "description" : null
    },
    "position" : 1,
    "max_issue_count": 0,
    "max_issue_weight": 0,
    "limit_metric":  null
  },
  {
    "id" : 2,
    "label" : {
      "name" : "Ready",
      "color" : "#FF0000",
      "description" : null
    },
    "position" : 2,
    "max_issue_count": 0,
    "max_issue_weight": 0,
    "limit_metric":  null
  },
  {
    "id" : 3,
    "label" : {
      "name" : "Production",
      "color" : "#FF5F00",
      "description" : null
    },
    "position" : 3,
    "max_issue_count": 0,
    "max_issue_weight": 0,
    "limit_metric":  null
  }
]

보드 리스트 조회#

이슈 보드에서 지정한 리스트를 조회합니다.

GET /projects/:id/boards/:board_id/lists/:list_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
list_id integer 예 보드 리스트의 ID 입니다.
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1/lists/1"

응답 예시:

{
  "id" : 1,
  "label" : {
    "name" : "Testing",
    "color" : "#F0AD4E",
    "description" : null
  },
  "position" : 1,
  "max_issue_count": 0,
  "max_issue_weight": 0,
  "limit_metric":  null
}

보드 리스트 생성#

새 이슈 보드 리스트를 생성합니다.

POST /projects/:id/boards/:board_id/lists
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
label_id integer 아니요 레이블의 ID 입니다.
assignee_id integer 아니요 사용자의 ID 입니다. Premium 및 Ultimate 전용입니다.
milestone_id integer 아니요 마일스톤의 ID 입니다. Premium 및 Ultimate 전용입니다.
iteration_id integer 아니요 이터레이션의 ID 입니다. Premium 및 Ultimate 전용입니다.
Note

레이블, 담당자, 마일스톤 인수는 상호 배타적입니다. 즉, 하나의 요청에서는 그중 하나만 허용됩니다. 리스트 유형별로 필요한 라이선스는 이슈 보드 문서를 참고합니다.

curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1/lists" \
  --data "label_id=5"

응답 예시:

{
  "id" : 1,
  "label" : {
    "name" : "Testing",
    "color" : "#F0AD4E",
    "description" : null
  },
  "position" : 1,
  "max_issue_count": 0,
  "max_issue_weight": 0,
  "limit_metric":  null
}

보드 리스트 수정#

이슈 보드에서 지정한 리스트의 위치를 수정합니다.

PUT /projects/:id/boards/:board_id/lists/:list_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
list_id integer 예 보드 리스트의 ID 입니다.
position integer 예 리스트의 위치입니다.
curl --request PUT \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1/lists/1" \
  --data "position=2"

응답 예시:

{
  "id" : 1,
  "label" : {
    "name" : "Testing",
    "color" : "#F0AD4E",
    "description" : null
  },
  "position" : 1,
  "max_issue_count": 0,
  "max_issue_weight": 0,
  "limit_metric":  null
}

보드에서 보드 리스트 삭제#

이슈 보드에서 지정한 리스트를 삭제합니다.

사전 준비 사항:

  • 다음 중 하나가 필요합니다.
    • 프로젝트에 대한 Planner, Reporter, Security Manager, Developer, Maintainer, Owner 권한.
    • 관리자 액세스 권한.
DELETE /projects/:id/boards/:board_id/lists/:list_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
list_id integer 예 보드 리스트의 ID 입니다.
curl --request DELETE \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1/lists/1"

이슈 보드 API

GitLab v19.5
Tier: Free, Premium, Ultimate
Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated
원문 보기

요약

이 API로 이슈 보드를 관리합니다. 사용자가 비공개 프로젝트의 멤버가 아니면 해당 프로젝트에 대한 GET 요청은 404 상태 코드를 반환합니다. 지정한 프로젝트의 모든 이슈 보드를 조회합니다. 프로젝트에 활성화된 보드가 없거나 보드가 존재하지 않을 때의 또 다른 응답 예시:

이 API로 이슈 보드를 관리합니다. 이 API의 모든 호출에는 인증이 필요합니다.

사용자가 비공개 프로젝트의 멤버가 아니면 해당 프로젝트에 대한 GET 요청은 404 상태 코드를 반환합니다.

프로젝트 이슈 보드 전체 조회#

지정한 프로젝트의 모든 이슈 보드를 조회합니다.

GET /projects/:id/boards
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards"

응답 예시:

[
  {
    "id" : 1,
    "name": "board1",
    "hide_backlog_list": false,
    "hide_closed_list": false,
    "project": {
      "id": 5,
      "name": "Diaspora Project Site",
      "name_with_namespace": "Diaspora / Diaspora Project Site",
      "path": "diaspora-project-site",
      "path_with_namespace": "diaspora/diaspora-project-site",
      "http_url_to_repo": "http://example.com/diaspora/diaspora-project-site.git",
      "web_url": "http://example.com/diaspora/diaspora-project-site"
    },
    "milestone":   {
      "id": 12,
      "title": "10.0"
    },
    "lists" : [
      {
        "id" : 1,
        "label" : {
          "name" : "Testing",
          "color" : "#F0AD4E",
          "description" : null
        },
        "position" : 1,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric": null
      },
      {
        "id" : 2,
        "label" : {
          "name" : "Ready",
          "color" : "#FF0000",
          "description" : null
        },
        "position" : 2,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric":  null
      },
      {
        "id" : 3,
        "label" : {
          "name" : "Production",
          "color" : "#FF5F00",
          "description" : null
        },
        "position" : 3,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric":  null
      }
    ]
  }
]

프로젝트에 활성화된 보드가 없거나 보드가 존재하지 않을 때의 또 다른 응답 예시:

[]

이슈 보드 조회#

프로젝트에서 지정한 이슈 보드를 조회합니다.

GET /projects/:id/boards/:board_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1"

응답 예시:

  {
    "id": 1,
    "name": "project issue board",
    "hide_backlog_list": false,
    "hide_closed_list": false,
    "project": {
      "id": 5,
      "name": "Diaspora Project Site",
      "name_with_namespace": "Diaspora / Diaspora Project Site",
      "path": "diaspora-project-site",
      "path_with_namespace": "diaspora/diaspora-project-site",
      "http_url_to_repo": "http://example.com/diaspora/diaspora-project-site.git",
      "web_url": "http://example.com/diaspora/diaspora-project-site"
    },
    "milestone":   {
      "id": 12,
      "title": "10.0"
    },
    "lists" : [
      {
        "id" : 1,
        "label" : {
          "name" : "Testing",
          "color" : "#F0AD4E",
          "description" : null
        },
        "position" : 1,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric":  null
      },
      {
        "id" : 2,
        "label" : {
          "name" : "Ready",
          "color" : "#FF0000",
          "description" : null
        },
        "position" : 2,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric":  null
      },
      {
        "id" : 3,
        "label" : {
          "name" : "Production",
          "color" : "#FF5F00",
          "description" : null
        },
        "position" : 3,
        "max_issue_count": 0,
        "max_issue_weight": 0,
        "limit_metric":  null
      }
    ]
  }

이슈 보드 생성#

지정한 프로젝트에 이슈 보드를 생성합니다.

POST /projects/:id/boards
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
name string 예 새 보드의 이름입니다. 최대 255자입니다.
curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards" \
  --data "name=newboard"

응답 예시:

  {
    "id": 1,
    "name": "newboard",
    "hide_backlog_list": false,
    "hide_closed_list": false,
    "project": {
      "id": 5,
      "name": "Diaspora Project Site",
      "name_with_namespace": "Diaspora / Diaspora Project Site",
      "path": "diaspora-project-site",
      "path_with_namespace": "diaspora/diaspora-project-site",
      "http_url_to_repo": "http://example.com/diaspora/diaspora-project-site.git",
      "web_url": "http://example.com/diaspora/diaspora-project-site"
    },
    "lists" : [],
    "group": null,
    "milestone": null,
    "assignee" : null,
    "labels" : [],
    "weight" : null
  }

이슈 보드 수정#

프로젝트에서 지정한 이슈 보드를 수정합니다.

PUT /projects/:id/boards/:board_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
name string 아니요 보드의 새 이름입니다. 최대 255자입니다.
hide_backlog_list boolean 아니요 Open 리스트를 숨깁니다.
hide_closed_list boolean 아니요 Closed 리스트를 숨깁니다.
assignee_id integer 아니요 보드의 범위로 지정할 담당자입니다. Premium 및 Ultimate 전용입니다.
milestone_id integer 아니요 보드의 범위로 지정할 마일스톤입니다. Premium 및 Ultimate 전용입니다.
labels string 아니요 보드의 범위로 지정할 레이블 이름을 쉼표로 구분한 목록입니다. Premium 및 Ultimate 전용입니다.
weight integer 아니요 보드의 범위로 지정할 0에서 9 까지의 가중치 범위입니다. Premium 및 Ultimate 전용입니다.
curl --request PUT \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1" \
  --data "name=new_name&milestone_id=43&assignee_id=1&labels=Doing&weight=4"

응답 예시:

  {
    "id": 1,
    "name": "new_name",
    "hide_backlog_list": false,
    "hide_closed_list": false,
    "project": {
      "id": 5,
      "name": "Diaspora Project Site",
      "name_with_namespace": "Diaspora / Diaspora Project Site",
      "path": "diaspora-project-site",
      "path_with_namespace": "diaspora/diaspora-project-site",
      "created_at": "2018-07-03T05:48:49.982Z",
      "default_branch": null,
      "tag_list": [], //deprecated, use `topics` instead
      "topics": [],
      "ssh_url_to_repo": "ssh://user@example.com/diaspora/diaspora-project-site.git",
      "http_url_to_repo": "http://example.com/diaspora/diaspora-project-site.git",
      "web_url": "http://example.com/diaspora/diaspora-project-site",
      "readme_url": null,
      "avatar_url": null,
      "star_count": 0,
      "forks_count": 0,
      "last_activity_at": "2018-07-03T05:48:49.982Z"
    },
    "lists": [],
    "group": null,
    "milestone": {
      "id": 43,
      "iid": 1,
      "project_id": 15,
      "title": "Milestone 1",
      "description": "Milestone 1 desc",
      "state": "active",
      "created_at": "2018-07-03T06:36:42.618Z",
      "updated_at": "2018-07-03T06:36:42.618Z",
      "due_date": null,
      "start_date": null,
      "web_url": "http://example.com/root/board1/milestones/1"
    },
    "assignee": {
      "id": 1,
      "name": "Administrator",
      "username": "root",
      "state": "active",
      "avatar_url": "https://www.gravatar.com/avatar/e64c7d89f26bd1972efa854d13d7dd61?s=80&d=identicon",
      "web_url": "http://example.com/root"
    },
    "labels": [{
      "id": 10,
      "name": "Doing",
      "color": "#5CB85C",
      "description": null
    }],
    "weight": 4
  }

이슈 보드 삭제#

프로젝트에서 지정한 이슈 보드를 삭제합니다.

DELETE /projects/:id/boards/:board_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
curl --request DELETE \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1"

이슈 보드의 보드 리스트 전체 조회#

지정한 이슈 보드의 모든 리스트를 조회합니다. open 리스트와 closed 리스트는 포함하지 않습니다.

GET /projects/:id/boards/:board_id/lists
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1/lists"

응답 예시:

[
  {
    "id" : 1,
    "label" : {
      "name" : "Testing",
      "color" : "#F0AD4E",
      "description" : null
    },
    "position" : 1,
    "max_issue_count": 0,
    "max_issue_weight": 0,
    "limit_metric":  null
  },
  {
    "id" : 2,
    "label" : {
      "name" : "Ready",
      "color" : "#FF0000",
      "description" : null
    },
    "position" : 2,
    "max_issue_count": 0,
    "max_issue_weight": 0,
    "limit_metric":  null
  },
  {
    "id" : 3,
    "label" : {
      "name" : "Production",
      "color" : "#FF5F00",
      "description" : null
    },
    "position" : 3,
    "max_issue_count": 0,
    "max_issue_weight": 0,
    "limit_metric":  null
  }
]

보드 리스트 조회#

이슈 보드에서 지정한 리스트를 조회합니다.

GET /projects/:id/boards/:board_id/lists/:list_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
list_id integer 예 보드 리스트의 ID 입니다.
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1/lists/1"

응답 예시:

{
  "id" : 1,
  "label" : {
    "name" : "Testing",
    "color" : "#F0AD4E",
    "description" : null
  },
  "position" : 1,
  "max_issue_count": 0,
  "max_issue_weight": 0,
  "limit_metric":  null
}

보드 리스트 생성#

새 이슈 보드 리스트를 생성합니다.

POST /projects/:id/boards/:board_id/lists
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
label_id integer 아니요 레이블의 ID 입니다.
assignee_id integer 아니요 사용자의 ID 입니다. Premium 및 Ultimate 전용입니다.
milestone_id integer 아니요 마일스톤의 ID 입니다. Premium 및 Ultimate 전용입니다.
iteration_id integer 아니요 이터레이션의 ID 입니다. Premium 및 Ultimate 전용입니다.
Note

레이블, 담당자, 마일스톤 인수는 상호 배타적입니다. 즉, 하나의 요청에서는 그중 하나만 허용됩니다. 리스트 유형별로 필요한 라이선스는 이슈 보드 문서를 참고합니다.

curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1/lists" \
  --data "label_id=5"

응답 예시:

{
  "id" : 1,
  "label" : {
    "name" : "Testing",
    "color" : "#F0AD4E",
    "description" : null
  },
  "position" : 1,
  "max_issue_count": 0,
  "max_issue_weight": 0,
  "limit_metric":  null
}

보드 리스트 수정#

이슈 보드에서 지정한 리스트의 위치를 수정합니다.

PUT /projects/:id/boards/:board_id/lists/:list_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
list_id integer 예 보드 리스트의 ID 입니다.
position integer 예 리스트의 위치입니다.
curl --request PUT \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1/lists/1" \
  --data "position=2"

응답 예시:

{
  "id" : 1,
  "label" : {
    "name" : "Testing",
    "color" : "#F0AD4E",
    "description" : null
  },
  "position" : 1,
  "max_issue_count": 0,
  "max_issue_weight": 0,
  "limit_metric":  null
}

보드에서 보드 리스트 삭제#

이슈 보드에서 지정한 리스트를 삭제합니다.

사전 준비 사항:

  • 다음 중 하나가 필요합니다.
    • 프로젝트에 대한 Planner, Reporter, Security Manager, Developer, Maintainer, Owner 권한.
    • 관리자 액세스 권한.
DELETE /projects/:id/boards/:board_id/lists/:list_id
속성 유형 필수 여부 설명
id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로입니다.
board_id integer 예 보드의 ID 입니다.
list_id integer 예 보드 리스트의 ID 입니다.
curl --request DELETE \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/projects/5/boards/1/lists/1"